%define name xpm2wico
%define version 0.2.1
%define release 1mdk

Summary: Convert XPM icons to MS Windows icons
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
I have written this program primarily to help free software programmers like
me to not depend on evil proprietary programs to write Windows icons.
It currently supports icons with 256 colors or more and well as grayscaled
images. Later I will probably add support for multiple-icons file output.

Usage is simple:
- create an .xpm file with the GIMP;
- convert it. The cmdline takes a minimum of one parameter which is the input
  icon. If the second parameter is omitted, the name of the ico file is deduced
  from the first one. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/xpm2wico

%changelog
* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- addes in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
